/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/*
 *  tpg_cmd.h:
 *  ==========
 *
 *  Include File containing TPG Commmand Data Structure definition.
 */

/* Verb TPG */
struct tpg_cmd
{
    Boolean command_linen;
    Boolean command_line_negatedn;
    Boolean command_line_valuen;
    char *command_line_value_ptrpc;

    Boolean tpgn;
    Boolean tpg_negatedn;
    Boolean tpg_valuen;
    char **tpg_value_ptrppc;
    unsigned long tpg_value_countl;

    Boolean confirmn;
    Boolean confirm_negatedn;
    Boolean confirm_valuen;

    Boolean listn;
    Boolean list_negatedn;
    Boolean list_valuen;
    char *list_value_ptrpc;

    Boolean logn;
    Boolean log_negatedn;
    Boolean log_valuen;

    Boolean objectn;
    Boolean object_negatedn;
    Boolean object_valuen;
    char *object_value_ptrpc;
};

/*  End of Include File  */
