#ifndef PSL__PSLDIAG_PRMDEF_LOADED
#define PSL__PSLDIAG_PRMDEF_LOADED 1
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/*===========================================================================*/
/*                                       */
/*               **** C O M M O N ****                   */
/*                                       */
/*===========================================================================*/
/*                                       */
/*          Module Name: PSLDIAG_PRMDEF              */
/*          ============                         */
/*                                       */
/* Description:                                  */
/* ============                                  */
/*                                       */
/*  Define various symbolic values required for use with the         */
/*  Diagnostic routines.                             */
/*                                       */
/*                                       */
/*===========================================================================*/

/*** MODULE PSLDIAG_PRMDEF ***/

/*  Output Types for PSL_SETUP_OUDIAG. */

#define            DIOUTY_LIST 0X1  /* Listing File */
#define            DIOUTY_TCB 0X2   /* TCB */
#define            DIOUTY_WRAP 0X80 /* Wrap long lines  */

/*  Flags for PSL_OUTPUT_DIAG. */

#define            DIOUFL_ALL 0X1   /* Output Entire Stack */
#define            DIOUFL_LSTERR 0X2    /* Output Last Error */


/*  End of C Include File */

#endif  /* PSL__PSLDIAG_PRMDEF_LOADED */
