/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
#if !defined(AFX_DATANAMECTRLS_H__93A489B5_ED21_11D4_94CB_00C04F89E392__INCLUDED_)
#define AFX_DATANAMECTRLS_H__93A489B5_ED21_11D4_94CB_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DataNameCtrls.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDataNameEdit window

class CDataNameEdit : public CEdit
{
// Construction
public:
	CDataNameEdit(int nMaxLength=16);

// Attributes
public:

// Operations
public:
	void SetMaxLength(int nLen)
	{
		m_nMaxLength =nLen;
	}
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDataNameEdit)
	protected:
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDataNameEdit();

	// Generated message map functions
protected:
	//{{AFX_MSG(CDataNameEdit)
	afx_msg void OnChange();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

	CString m_strPrevText;
	int m_nMaxLength;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DATANAMECTRLS_H__93A489B5_ED21_11D4_94CB_00C04F89E392__INCLUDED_)
