/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
#if !defined(AFX_TIMECTRL_H__81F4AD15_2A78_11D5_94E9_00C04F89E392__INCLUDED_)
#define AFX_TIMECTRL_H__81F4AD15_2A78_11D5_94E9_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TimeCtrl.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTimeCtrl window

class CTimeCtrl : public CEdit
{
// Construction
public:
	CTimeCtrl();

// Attributes
public:
	int GetHours();
	int GetMinutes();
	int GetSeconds();

	void SetHours(int nHours);
	void SetMinutes(int nMins);
	void SetSeconds(int nSecs);

	BOOL EnableWindow(BOOL bEnable = TRUE);
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTimeCtrl)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void PreSubclassWindow();
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTimeCtrl();

	// Generated message map functions
protected:
	//{{AFX_MSG(CTimeCtrl)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

	CEdit m_ctlHours;
	CEdit m_ctlMins;
	CEdit m_ctlSecs;

	CFont m_Font;

	int m_nHours,m_nMins,m_nSecs;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TIMECTRL_H__81F4AD15_2A78_11D5_94E9_00C04F89E392__INCLUDED_)
