#if !defined(AFX_TASKGROUPDLG_H__F36DEBC3_4ACA_11D5_94F2_00C04F89E392__INCLUDED_)
#define AFX_TASKGROUPDLG_H__F36DEBC3_4ACA_11D5_94F2_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TaskGroupDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTaskGroupDlg dialog
#include "TaskGroupDefData.h"
#include "TimeCtrl.h"
#include "resource.h"
class CTestFile;

class CTaskGroupDlg : public CDialog
{
// Construction
public:
	void OnChangeStartDelay();
	CTaskGroupDlg(CWnd* pParent = NULL);   // standard constructor

	BOOL SetWindowEnabled();

	void SetTestFile(CTestFile* pTestFile,int nGroup,HWND hwndNotify);
	void SetTestRegName(const CString& strRegName)
	{
		m_strRegName = strRegName;
	}
// Dialog Data
	//{{AFX_DATA(CTaskGroupDlg)
	enum { IDD = IDD_TASKGROUP_DLG };
	CComboBox	m_ctlTGStart;
	CTimeCtrl	m_ctlStartDelay;
	CSpinButtonCtrl	m_ctlStartAtDaySpin;
	CEdit	m_ctlStartAtDays;
	CTimeCtrl	m_ctlStartAtTime;
	CSpinButtonCtrl	m_ctlIterSpin;
	CEdit	m_ctlIterations;
	CTimeCtrl	m_ctlTimeLimit;
	CComboBox	m_ctlTGTermination;
	BOOL	m_bTGEnabled;
	CString	m_strCaption;
	int		m_nIterations;
	int		m_nStartAtDays;
	CString	m_WarningString;

	CSpinButtonCtrl	m_ctlDelayDaySpin;
	CEdit	m_ctlDelayDays;
	int		m_nDelayDays;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTaskGroupDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTaskGroupDlg)
	afx_msg void OnSelchangeTgTermination();
	afx_msg void OnChangeIterations(); 
	afx_msg void OnChangeStartatDays();
	afx_msg void OnChangeStartatTime();
	afx_msg void OnChangeTimelimit();
	afx_msg void OnSelchangeTgStart();
	afx_msg void OnChangeDelayDays();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void SaveDataToTestFile();
	void VerifyStartAtTime();
	void VerifyDelayTime();

	CTestFile *m_pTestFile;
	CTaskGroupDefData m_TGData;
	
	HWND m_hwndNotify;
	int m_nTaskGroup;
	CString m_strRegName;
private:


};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TASKGROUPDLG_H__F36DEBC3_4ACA_11D5_94F2_00C04F89E392__INCLUDED_)
