/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#ifndef _OPENSTA_PERFCOUNTERKEYS_H_
#define _OPENSTA_PERFCOUNTERKEYS_H_

#include "PerfCounters.hpp"

enum
{
    // Objects
    PRFOBJ_OPENSTA_THREADPOOL,

    // Counters
    PRFCNT_OPENSTA_THREADPOOL_THREADS,
    PRFCNT_OPENSTA_THREADPOOL_IOCPQUEUELENGTH,
    PRFCNT_OPENSTA_THREADPOOL_ACTIVEUSERS,
    PRFCNT_OPENSTA_THREADPOOL_QUERYRATE,
    PRFCNT_OPENSTA_THREADPOOL_PENDINGQUERIES,
    PRFCNT_OPENSTA_THREADPOOL_ACTIVETHREADS,
    PRFCNT_OPENSTA_THREADPOOL_TIMERQUEUELENGTH,
    PRFCNT_OPENSTA_RECV_BUFF_ALLOCATED_MEM,
    PRFCNT_OPENSTA_RECV_BUFF_USED_MEM,
    PRFCNT_OPENSTA_DATA_STORED,
    PRFCNT_OPENSTA_INCOMING_THROUGHPUT,
    PRFCNT_OPENSTA_OUTGOING_THROUGHPUT,
    PRFCNT_OPENSTA_CONNECTIONS_PER_SECOND,
    PRFCNT_OPENSTA_SSL_ALLOCATED_MEM_BUFFS,
    PRFCNT_OPENSTA_SSL_USED_MEM_BUFFS,
};

extern OpenSTA_Performance::CPerfSource* g_pPerformance;

#endif  // _OPENSTA_PERFCOUNTERKEYS_H_
