#if !defined(AFX_VARAUTOGENDLG_H__FFE23716_3C80_11D4_810D_00105ADE340D__INCLUDED_)
#define AFX_VARAUTOGENDLG_H__FFE23716_3C80_11D4_810D_00105ADE340D__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// VarAutoGenDlg.h : header file
//
#include <VarStructures.h>

/////////////////////////////////////////////////////////////////////////////
// CVarAutoGenDlg dialog

class CVarAutoGenDlg : public CDialog
{
    // Construction
public:
    CVarAutoGenDlg( CVarAutoGen * pVarAutoGen = NULL, CWnd* pParent = NULL);   // standard constructor

    // Dialog Data
    //{{AFX_DATA(CVarAutoGenDlg)
    enum { IDD = IDD_VAR_AUTOGEN_DLG };
    // NOTE: the ClassWizard will add data members here
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CVarAutoGenDlg)
protected:
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CVarAutoGenDlg)
    virtual void OnOK();
    virtual BOOL OnInitDialog();
    afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
private:

    CVarAutoGen * m_pVarAutoGen ;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VARAUTOGENDLG_H__FFE23716_3C80_11D4_810D_00105ADE340D__INCLUDED_)
